#
# spec file for package xplanet (Version 0.84)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg libpng libtiff libungif mesa mesa-devel mesaglut mesaglut-devel mesasoft netpbm xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         xplanet
Version:      0.84
Release:      39
Summary:      Planets as background pictures or interactive animations
Copyright:    GNU GPL
Group:        X11/Applications/Graphics
Provides:     xplanet
Autoreqprov:  on
Source:       http://download.sourceforge.net/xplanet/xplanet-%{version}.tar.bz2
Source1:      README.SuSE
Source2:      LIESMICH.SuSE
Source3:      xplanet_getmaps.sh
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
Xplanet can display the earth or other planets in the background of your
display, similar to xearth or xglobe.  Additionally, you can it run in an
interactive mode allowing you to rotate/zoom the planet.  Also, with an
included script it is very easy to combine map files with current satellite
cloud images, see /usr/share/doc/packages/xplanet/README.SuSE.  For screenshots
and more interesting information have a look at the homepage of Xplanet:
http://xplanet.sourceforge.net/

Authors:
--------
    Hari Nair <hari@alumni.caltech.edu>

SuSE series: xap

%prep
%setup 
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
./configure --prefix=%{_prefix} --exec-prefix=/usr/X11R6 --mandir=%{_mandir}
make 

%install
rm -rf $RPM_BUILD_ROOT
## unfortunately, make DESTDIR=$RPM_BUILD_ROOT does not work:
sed 's+^\(prefix\|exec_prefix\|mandir\) = /usr\(.*\)$+\1 = '$RPM_BUILD_ROOT'/usr\2+' Makefile > Makefile.buildroot
make -f Makefile.buildroot DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 xplanet_getmaps.sh ${RPM_BUILD_ROOT}/usr/X11R6/bin/xplanet_getmaps.sh
#ln -sf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xglobe/* $RPM_BUILD_ROOT/usr/share/xplanet/
#ln -sf Day_sml.jpg      $RPM_BUILD_ROOT/usr/share/xplanet/earth.jpg
#ln -sf Day_sml.jpg      $RPM_BUILD_ROOT/usr/share/xplanet/day.jpg
#ln -sf Night_le_sml.jpg $RPM_BUILD_ROOT/usr/share/xplanet/night.jpg

%files
%doc README COPYING FAQ CREDITS INSTALL README.SuSE LIESMICH.SuSE 
/usr/X11R6/bin/xplanet
/usr/X11R6/bin/xplanetbg
/usr/X11R6/bin/tkxplanet
/usr/X11R6/bin/tzcoord.pl
/usr/X11R6/bin/xplanet_getmaps.sh
%doc %{_mandir}/man1/tkxplanet.1.gz
%doc %{_mandir}/man1/tzcoord.pl.1.gz
%doc %{_mandir}/man1/xplanet.1.gz
%doc %{_mandir}/man1/xplanetbg.1.gz
/usr/share/xplanet/images/
/usr/share/xplanet/markers/
/usr/share/xplanet/fonts/

%changelog -n xplanet
* Fri Aug 24 2001 - poeml@suse.de
- update to 0.84, new features: -fontsize and -prev_command/
-post_command options, and saturn rings :)
* Wed Apr 04 2001 - poeml@suse.de
- update to 0.81
- drop Requires on xglobe-maps (now, two nice images come with
  xplanet)
- drop Requires on perl-libwww-perl, use wget instead
- fix Version tag (was a macro)
- add xf86glu xf86glu-devel to neededforbuild
- use BuildRoot
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Feb 21 2001 - poeml@suse.de
- fix missing include (yes, sent patch to author)
* Mon Dec 04 2000 - poeml@suse.de
- initial SuSE-RPM
